Beefy Boxes and Bandwidth Generously Provided by pair Networks
The stupid question is the question not asked
 
PerlMonks  

TLS using Perl < 5.12?

by talexb (Canon)
on May 16, 2012 at 13:53 UTC ( #970836=perlquestion: print w/replies, xml ) Need Help??
talexb has asked for the wisdom of the Perl Monks concerning the following question:

I'd like to know if it's possible to get older Perls (earlier than 5.12.x) to talk TLS. I'm working on using SOAP::Lite to talk to an API; reading the documentation on this module, it isn't immediately apparent whether I can ask earlier Perls to make a TLS connection rather than the default SSLv3 connection.

Alex / talexb / Toronto

"Groklaw is the open-source mentality applied to legal research" ~ Linus Torvalds

Replies are listed 'Best First'.
Re: TLS using Perl < 5.12?
by Anonymous Monk on May 16, 2012 at 14:08 UTC

      So you're suggesting that I should be able to upgrade the older Perl versions to use IO::Socket::SSL?

      Alex / talexb / Toronto

      "Groklaw is the open-source mentality applied to legal research" ~ Linus Torvalds

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: perlquestion [id://970836]
Front-paged by Corion
help
Chatterbox?
LanX hates UTF8 for causing knots in his brain and stomach
[Corion]: LanX: Yes, that's the main problem - you have lots (and lots) of workarounds in various places and stages of the processing, and to clean that mess up requires action across the complete codebase. And it's almost impossible to do it piece-by-piece

How do I use this? | Other CB clients
Other Users?
Others meditating upon the Monastery: (11)
As of 2017-01-16 14:06 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?
    Do you watch meteor showers?




    Results (150 votes). Check out past polls.